Subject: Re: [PATCH net-next v6] net: phy: intel-xway: Add RGMII internal delay configuration

From: Andrew Lunn <[email-masked]>
Date: Tue, 11 Jan 2022 14:34:19 +0100

> > Martin,
> > 
> > I've got some boards with the GPY111 phy on them and I'm finding that
> > modifying XWAY_MDIO_MIICTRL to change the skew has no effect unless I
> > do a soft reset (BCMR_RESET) first. I don't see anything in the
> > datasheet which specifies this to be the case so I'm interested it
> > what you have found. Are you sure adjusting the skews like this
> > without a soft (or hard pin based) reset actually works?
> > 
> > Best regards,
> > 
> > Tim
> 
> Hello Tim,
> 
> yes, you are right. It is not applied immediately. The link needs to be
> toggled to get this settings active. But my experience shows that this
> would be done in the further boot process anyway e.g. by restarting the
> autonegotiation etc.

Hi Martin

Have you verified this? Maybe try NFS root, so the kernel is the one
up'ing the interface, before user space exists.

       Andrew